textures/clash/lavafall
{
	qer_editorimage textures/clash/img/img_lavafall.tga
	surfaceparm lava
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/clash/lavafall.tga
		blendfunc blend
		tcMod scroll 0 -2.5
	}
}

textures/clash/slimefall
{
	qer_editorimage textures/clash/img/img_slimefall.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slime
	cull disable
	{
		map textures/clash/slimefall.tga
		blendfunc blend
		tcMod scroll 0 -2.5
	}
	{
		map textures/liquids/slime7.tga
		blendfunc add
		tcMod turb 0.3 0.3 0.3 0.3
		tcMod scroll 0 -2.5
	}
}

textures/clash/plasma
{
	qer_editorimage textures/clash/img/img_plasma.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/clash/plasma.tga
		blendfunc blend
		tcMod scroll 0 2.5
	}
	{
		map textures/effects/redflagmap.tga
		blendfunc add
		tcMod scroll 2 2
		tcMod rotate 5
	}
}

textures/clash/plasma_green
{
	qer_editorimage textures/clash/img/img_plasma_green.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	{
		map textures/clash/plasma_green.tga
		blendfunc blend
		tcMod scroll 0 2.5
	}
	{
		map textures/clash/img/vortexmap.tga
		blendfunc add
		tcMod scroll 2 2
		tcMod rotate 5
		tcGen environment 
	}
}

textures/clash/lightbeam
{
	qer_editorimage textures/clash/lightbeam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.4
	{
		map textures/clash/lightbeam.tga
		blendfunc add
	}
}

textures/clash/lightbeam_full
{
	qer_editorimage textures/clash/lightbeam_full.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.4
	{
		map textures/clash/lightbeam_full.tga
		blendfunc add
	}
}

textures/clash/portal
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/clash/portal.tga
		blendfunc add
		tcMod rotate 40
	}
}

textures/clash/portal_orange
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/clash/portal_orange.tga
		blendfunc add
		tcMod rotate 40
	}
}

textures/clash/vortex
{
	qer_editorimage textures/clash/img/img_vortex.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/clash/vortex.tga
		blendfunc add
		tcMod scroll 2.5 0
		tcMod turb 0.3 0.3 0.3 0.3
	}
}

textures/clash/vortex_orange
{
	qer_editorimage textures/clash/img/img_vortex_orange.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/clash/vortex_orange.tga
		blendfunc add
		tcMod scroll 2.5 0
		tcMod turb 0.3 0.3 0.3 0.3
	}
}

textures/clash/vortex_notrans
{
	qer_editorimage textures/clash/img/img_vortex.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	cull disable
	{
		map textures/clash/vortex.tga
		tcMod scroll 2.5 0
		tcMod turb 0.3 0.3 0.3 0.3
	}
}

textures/clash/vortex_orange_notrans
{
	qer_editorimage textures/clash/img/img_vortex_orange.tga
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	cull disable
	{
		map textures/clash/vortex_orange.tga
		tcMod scroll 2.5 0
		tcMod turb 0.3 0.3 0.3 0.3
	}
}

textures/clash/clash_btn
{
	qer_editorimage textures/clash/btn.tga
	surfaceparm nodrop
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/clash/btn.tga
	}
	{
		map textures/clash/img/btn_fx.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0.5 0.5 
	}
	{
		map textures/clash/img/btn_blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0.5 0.5 
	}
}

textures/clash/clash_door
{
	surfaceparm nodamage
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/clash/clash_door.tga
	}
	{
		map textures/clash/img/clash_door_blend.tga
		blendfunc add
		rgbGen wave noise 0.5 0.5 0.5 0.5 
	}
	{
		map textures/clash/img/clash_door_blend2.tga
		blendfunc add
		rgbGen wave sin 0.25 0.5 0.5 0.5 
	}
}

textures/clash/lighttrim_1
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash/lighttrim_1.tga
		rgbGen identity
	}
	{
		map textures/clash/img/lighttrim_1_glow.tga
		blendfunc add
	}
}

textures/clash/lighttrim_2
{
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/clash/lighttrim_2.tga
		rgbGen identity
	}
	{
		map textures/clash/img/lighttrim_2_glow.tga
		blendfunc add
	}
}

textures/clash/clash_flag
{
	qer_editorimage textures/clash/knife_flag.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	deformVertexes wave 192 sin 0 3 0 0.4 
	qer_nocarve
	{
		map textures/clash/knife_flag.tga
	}
	{
		map textures/effects/flagmap.tga
		blendfunc add
		tcMod scroll 1 1
		tcMod rotate 1
		tcGen environment 
	}
	{
		map textures/clash/img/flag2_front.tga
		blendfunc blend
	}
}

